List Payments for Organization

Retrieve a paginated list of payments for the organization with filtering, sorting, and pagination support. For channel partners, this automatically includes payments from all their merchants.

Path Params
string
required

The organization ID

Query Params
integer | null

The maximum number of items to return

integer | null

The starting index of items to return

string
required

Filter the list of payments by attribute(s).

Exact match:

Include the attribute name in the brackets followed by an equal sign and the value you want to filter by. You can use commas (,) to separate multiple values for the same attribute.

  • Allowed attributes: id, invoiceNumber, orderId, skType, currency, certainty, status, result, customer.id, source, billing.method

  • Example: ?filter[sKType]=TEST&filter[status]=AUTHORIZED

  • Example (multiple values): ?filter[result]=FAILURE,ERROR

  • Example (null status): ?filter[status]=null (returns payments with no status set - typically payments that have no successful transactions)

  • Example (source filter): ?filter[source]=CARD_PRESENT (returns only card present payments) or ?filter[source]=INTERNET (returns only internet payments)

  • Example (billing method filter): ?filter[billing.method]=CASH (returns only cash payments) or ?filter[billing.method]=CARD (returns only card payments)

Partial match:

Include the attribute name in the brackets followed by an equal sign and the value you want to filter by. You can use commas (,) to separate multiple values for the same attribute.

  • Allowed attributes: description, customer.email, customer.firstName, customer.lastName, customer.phone

  • Example: ?filter[customer.email][email protected] (returns all customer emails containing @example.com)

  • Example: ?filter[customer.firstName]=john (returns all customer first names containing john)

  • Example: ?filter[customer.phone]=8940 (returns all customer phone numbers containing string 8940, e.g. "+17186238940")

JSON search:

Can filter by JSON fields using a flexible search. The value can be a string, number, json, or an array of key-value pairs.

  • Allowed attributes: custom

  • Example (string search): ?filter[custom]=someValue

  • Example (json search): ?filter[custom]={"key1":"value1"}

  • Example (array search): ?filter[custom][key1]=value1&filter[custom][key2]=value2

Dynamic operators:

Follow the "=" with a comparison operator and the value you want to filter by.

  • Available operators: =, !=, <, <=, >, >=.

  • Allowed attributes: amount, customer.dateOfBirth, createdAt, updatedAt

  • Example (greater than or equal to): ?filter[amount]=>=500

  • Example (less than): ?filter[createdAt]=<2025-05-29T00:00:00Z

  • Example (greater than): ?filter[customer.dateOfBirth]=>1990

Scopes:

Filter by specific conditions defined in the model.

  • Allowed scopes: createdBetween, updatedBetween, successful, failed, refunded, inProgress, hasTransactions, customer.dateOfBirthBetween

  • Example: ?filter[createdBetween]=2025-05-29,2025-05-30

  • Example: ?filter[successful]=true (to filter successful payments)

  • Example: ?filter[refunded]=false (to exclude refunded payments)

  • Example: ?filter[hasTransactions]=false (to include payments without transactions - by default, only payments with transactions are returned)

  • Example: ?filter[customer.dateOfBirthBetween]=1990,1995

string
required

Sort the list by attribute(s). Use - prefix for descending order.

  • Allowed attributes: amount, createdAt, updatedAt

  • Example (ascending order): ?sort=createdAt

  • Example (descending order): ?sort=-amount

string

The timezone to use for date filtering. Defaults to 'UTC'. Supports timezone identifiers (e.g., America/Phoenix, America/Los_Angeles) and abbreviations (e.g., MST, MDT, PST, PDT). Examples: ?timezone=America/Phoenix or ?timezone=MST

Headers
string
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json